﻿﻿@using TicketShop.Data.ViewModels;
@model RegisterViewModel

@{
    ViewData["Title"] = "Sign up for new account";
}

@if (TempData["Error"] != null)
{
    <div class="col-md-12 alert alert-danger">
        <span><b>Sorry!</b> - @TempData["Error"] </span>
    </div>
} 
<div class="row">
    <div class="col-md-6 offset-3">
        <p>
            <h4>Sign up for new account</h4>
        </p>

        <div class="row">
            <div class="col-md-8 offset-2">
                <form asp-action="Register">
                    <div asp-validation-summary="ModelOnly" class="text-danger"></div>

                    <div class="form-group">
                        <label asp-for="FullName" class="control-label"></label>
                        <input asp-for="FullName" class="form-control" />
                        <span asp-validation-for="FullName" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="EmailAddress" class="control-label"></label>
                        <input asp-for="EmailAddress" class="form-control" />
                        <span asp-validation-for="EmailAddress" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="Password" class="control-label"></label>
                        <input asp-for="Password" class="form-control" />
                        <span asp-validation-for="Password" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="ConfirmPassword" class="control-label"></label>
                        <input asp-for="ConfirmPassword" class="form-control" />
                        <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
                    </div>

                    <div class="form-group">
                        <input class="btn btn-outline-success float-right" type="submit" value="Sign up" />
                        <a class="btn btn-outline-secondary" asp-controller="Movies" asp-action="Index">Cancel</a>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>